function d = classify(X, CA, MA)
% CLASSIFY Optimalni klasifikator za uzorke iz Gausove raspodjele
% D = CLASSIFY(X, CA, MA) izracunava funkcije odlucivanja za
% n-dimenzionalne uzorke koji se nalaze u redovima matrice X.
% CA je matrica velicine n*n*W koja sadrzi W kovarijansnih matrica velicine
% n*n, gdje je W broj klasa.
% MA je matrica velicine n*W u cijim kolonama se nalaze odgovarajuci
% vektori srednjih vrijednosti.
% Kovarijansna matrica i vektor srednjih vrijednosti se moraju zadati za
% svaku klasu.
% X je velicine K*n, gdje je K broj uzoraka koji se klasifikuju.
%
% D je vektor kolona duzine K. Njegov i-ti element je klasa u koju je
% klasifikovan i-ti vektor iz X.
% 
